using System;
using System.Collections;

namespace PhidgetHealth
{
	public class User
	{
		public enum Sexes{Man, Woman};

		public string id;
		public string name;
		public Sexes sex;
		public double height;
		public Hashtable weightHolder;
		
		public User(string id, string name, double height, Sexes sex)
		{
			this.id = id;
			this.name = name;
			this.height = height;
			this.sex = sex;
			weightHolder = new Hashtable();
		}

		public void Set(DateTime date, double weight)
		{
			if(weightHolder.Contains(date))
			{
				weightHolder[date] = weight;
			}
			else
			{
				weightHolder.Add(date, weight);
			}
		}

		public double Get(DateTime date)
		{
			double weight = 0.0;
			if(weightHolder.Contains(date))
			{
				weight = (double)weightHolder[date];
			}
			return weight;
		}

	}
}
