using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;

namespace PhidgetHealth
{
	public class ListForm : System.Windows.Forms.Form
	{
		#region GUIR|[lg̐錾
		private System.Windows.Forms.ColumnHeader columnHeaderDate;
		private System.Windows.Forms.ColumnHeader columnHeaderWeight;
		private System.Windows.Forms.ListView listViewWeight;
		private System.ComponentModel.Container components = null;
		#endregion

		public User user;

		#region RXgN^/fXgN^
		public ListForm(User user)
		{
			InitializeComponent();

			this.user = user;
			this.Text = "̏d: " + user.name;
			InitList();
		}

		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}
		#endregion

		#region Xg֘Ã\bh
		void InitList()
		{
			foreach(DateTime date in user.weightHolder.Keys)
			{
				string dateStr = date.ToShortDateString() + " " + date.ToShortTimeString();
				string []subItems = {dateStr, ((double)user.weightHolder[date]).ToString()};
				if(listViewWeight.Items.Count == 1 && (string)listViewWeight.Items[0].SubItems[0].Text == "")
				{
					listViewWeight.Items[0] = new ListViewItem(subItems);
				}
				else
				{
					listViewWeight.Items.Add(new ListViewItem(subItems));
				}
			}
		}

		private void listViewWeight_KeyDown(object sender, System.Windows.Forms.KeyEventArgs e)
		{
			if(e.KeyCode ==Keys.Delete)
			{
				
				foreach (int index in listViewWeight.SelectedIndices)
				{
					DateTime date = DateTime.Parse((string)listViewWeight.Items[index].SubItems[0].Text);
					if(listViewWeight.Items[index] != null)
					{
						if(user.weightHolder.Contains(date))
						{
							user.weightHolder.Remove(date);
						}
						listViewWeight.Items.RemoveAt(index);
					}
				}
			}
		}
		#endregion

		#region Windows tH[ fUCiŐꂽR[h 
		/// <summary>
		/// fUCi T|[gɕKvȃ\bhłB̃\bh̓e
		/// R[h GfB^ŕύXȂłB
		/// </summary>
		private void InitializeComponent()
		{
			this.listViewWeight = new System.Windows.Forms.ListView();
			this.columnHeaderDate = new System.Windows.Forms.ColumnHeader();
			this.columnHeaderWeight = new System.Windows.Forms.ColumnHeader();
			this.SuspendLayout();
			// 
			// listViewWeight
			// 
			this.listViewWeight.Columns.AddRange(new System.Windows.Forms.ColumnHeader[] {
																							 this.columnHeaderDate,
																							 this.columnHeaderWeight});
			this.listViewWeight.GridLines = true;
			this.listViewWeight.HeaderStyle = System.Windows.Forms.ColumnHeaderStyle.Nonclickable;
			this.listViewWeight.Location = new System.Drawing.Point(8, 8);
			this.listViewWeight.Name = "listViewWeight";
			this.listViewWeight.Size = new System.Drawing.Size(224, 304);
			this.listViewWeight.Sorting = System.Windows.Forms.SortOrder.Descending;
			this.listViewWeight.TabIndex = 17;
			this.listViewWeight.View = System.Windows.Forms.View.Details;
			this.listViewWeight.KeyDown += new System.Windows.Forms.KeyEventHandler(this.listViewWeight_KeyDown);
			// 
			// columnHeaderDate
			// 
			this.columnHeaderDate.Text = "t/";
			this.columnHeaderDate.Width = 132;
			// 
			// columnHeaderWeight
			// 
			this.columnHeaderWeight.Text = "̏d(kg)";
			this.columnHeaderWeight.Width = 63;
			// 
			// ListForm
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 12);
			this.ClientSize = new System.Drawing.Size(242, 320);
			this.Controls.Add(this.listViewWeight);
			this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedSingle;
			this.Name = "ListForm";
			this.Text = "̏d:";
			this.ResumeLayout(false);

		}
		#endregion

	}
}
